Subject: Re: [Netconf] Warren Kumari's No Objection on draft-ietf-netconf-nmda-netconf-06: (with COMMENT)

From: Martin Bjorklund <[email-masked]>
Date: Mon, 01 Oct 2018 09:04:25 +0200 (CEST)

Hi,

Warren Kumari <[email-masked]> wrote:
> Warren Kumari has entered the following ballot position for
> draft-ietf-netconf-nmda-netconf-06: No Objection
> 
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
> 
> 
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
> 
> 
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-netconf-nmda-netconf/
> 
> 
> 
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> I'll be honest -- I was expecting this review to be long, annoying and
> unpleasant. It is documenting changes to some fundamental bits, and on matters
> where I always feel like I *should( have more expertise / knowledge... and so I
> set aside time on a flight to be able to focus on this....
> 
> It turns out to have been a very well, clearly written and understandable
> document...
> 
> I only have a *minor* suggestion:
> "3.1.1.3.  Example: Retrieving an entire subtree from <running>
> 
> The following example shows the <get-data> version of the
>    <get-config> example shown in Section 7.1 of [RFC6241].
> "
> 
> Seeing that this is an introductory example, I think that it would be nice to
> make it clearer that this filters users subtree; it is clear once reading the
> example, but knowing what it is supposed to be demonstrating before seeing it
> might be nice...

Ok.  How about:

OLD:

   The following example shows the <get-data> version of the
   <get-config> example shown in Section 7.1 of [RFC6241].

NEW:

   The following example shows the <get-data> version of the
   <get-config> example shown in Section 7.1 of [RFC6241], which selects
   the entire "/users" subtree:

/martin

---

From: Warren Kumari <[email-masked]>
Date: Mon, 1 Oct 2018 07:49:10 -0400

Perfect, thanks!

W

On Mon, Oct 1, 2018 at 3:04 AM Martin Bjorklund <[email-masked]> wrote:

> > Please refer to
> https://www.ietf.org/iesg/statement/discuss-criteria.html
-- 
I don't think the execution is relevant when it was obviously a bad idea in
the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair of
pants.
   ---maf